function init(hero) {
    hero.setName("Spot/Johnathon Ohnn");
    hero.setTier(3);
    
    hero.setChestplate("Suit");

    hero.addPowers("tgheroes:spotted_dimension");
    hero.addAttribute("PUNCH_DAMAGE", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.15, 1);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);

	hero.addKeyBind("TELEPORT", "Teleport", 2);	

    hero.setHasProperty(hasProperty);
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}
